"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x11115dcf0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x11115dd80>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11115de10>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x11115dea0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x11115df30>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x11115dfc0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11115e050>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11115e0e0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11115e170>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x11115e200>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x11115e290>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x11115e320>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x11115e3b0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x11115e440>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x11115e4d0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x11115e560>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x11115e5f0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x11115e680>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x11115e710>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x11115e7a0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x11115e830>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x11115e8c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x11115e950>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x11115e9e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x11115eb00>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x11115ea70>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x11115eb90>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x11115ec20>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x11115ecb0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x11115ed40>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x11115edd0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x11115ee60>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x11115eef0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x11115ef80>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x11115f010>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x11115f0a0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x11115f130>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x11115f1c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11115f250>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11115f2e0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x11115f370>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x11115f400>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x11115f490>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x11115f520>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x11115f5b0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x11115f640>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x11115f6d0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11115f760>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x11115f7f0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x11115f880>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x11115f910>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x11115f9a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x11115fa30>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x11115fac0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x11115fb50>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x11115fbe0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x11115fc70>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11115fd00>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x11115fd90>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x11115fe20>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x11115feb0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x11115ff40>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x11118c040>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x11118c0d0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x11118c160>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x11118c310>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x11118c1f0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x11118c3a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x11118c430>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x11118c4c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x11118c550>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x11118c5e0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x11118c700>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x11118c670>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x11118c790>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x11118c820>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x11118c8b0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x11118c9d0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x11118c940>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x11118ca60>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x11118caf0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x11118cb80>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x11118cc10>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x11118cca0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x11118cd30>)]
name: str = 'fr_HOCCN'
